summaryrefslogtreecommitdiffstats
path: root/src/lib/connections/tunnel
diff options
context:
space:
mode:
authorJouke Witteveen <j.witteveen@gmail.com>2012-12-28 02:38:58 +0100
committerJouke Witteveen <j.witteveen@gmail.com>2012-12-28 02:38:58 +0100
commit4e457e0efd0e5fd5df24c7e9ed63b02d0196ea8d (patch)
tree09580c92ca78e8b9b54d7ed8d6b79d7fcd6fd9ff /src/lib/connections/tunnel
parent6737a37e5666837a8f51a2f74bdebdd756151394 (diff)
downloadnetctl-4e457e0efd0e5fd5df24c7e9ed63b02d0196ea8d.tar.gz
netctl-4e457e0efd0e5fd5df24c7e9ed63b02d0196ea8d.tar.xz
Forking netcfg to netctl (1/2)
This commit contains the moving of files.
Diffstat (limited to 'src/lib/connections/tunnel')
-rw-r--r--src/lib/connections/tunnel34
1 files changed, 34 insertions, 0 deletions
diff --git a/src/lib/connections/tunnel b/src/lib/connections/tunnel
new file mode 100644
index 0000000..6cefc5c
--- /dev/null
+++ b/src/lib/connections/tunnel
@@ -0,0 +1,34 @@
+#! /bin/bash
+. /usr/lib/network/network
+
+tunnel_up() {
+ load_profile "$1"
+
+ if [[ -e "/sys/class/net/$INTERFACE" ]]; then
+ report_fail "Interface $INTERFACE already exists."
+ exit 1
+ else
+ ip tunnel add "$INTERFACE" mode "$MODE" remote "$REMOTE"
+ fi
+
+ if [[ -n "$LOCAL" ]]; then
+ ip tunnel change "$INTERFACE" local "$LOCAL"
+ fi
+
+ "$CONN_DIR/ethernet" up "$1"
+ return 0
+}
+
+tunnel_down() {
+ load_profile "$1"
+
+ "$CONN_DIR/ethernet" down "$1"
+ ip tunnel del "$INTERFACE"
+
+ return 0
+}
+
+tunnel_$1 "$2"
+exit $?
+
+# vim: set ts=4 et sw=4: